<script setup>
import InputError from "@/Components/InputError.vue";
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import { useForm } from "@inertiajs/vue3";


const form = useForm({
    category_name: "",
    category_desciption: "",
});

const submit = () => {
    form.post(route("category.store"));
};

</script>

<template>
    <AuthenticatedLayout>
        <div class="row">
            <div class="col-12">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item">
                            <a href="javascript: void(0);">Category</a>
                        </li>
                        <li class="breadcrumb-item active">Create</li>
                    </ol>
                </div>
            </div>
        </div>
        <div class="container-fluid mt-4">
            <div class="row">
                <div class="col-8">
                    <h3>Category</h3>
                    <form @submit.prevent="submit">
                        <div class="row mt-3">
                            <div class="col-sm-6">
                                <label for="category name" class="form-label">Name<span
                                        class="text-danger">*</span></label>
                                <input type="text" class="form-control" id="category_name" placeholder="Category Name"
                                    v-model="form.category_name" />
                                <span></span>
                                <InputError class="mt-2 text-danger" :message="form.errors.category_name" />
                            </div>
                            <div class="col-sm-6">
                                <label for="category Desciption" class="form-label">Desciption <span
                                        class="text-danger">*</span></label>
                                <input type="text" class="form-control" id="category_desciption"
                                    placeholder="Description" v-model="form.category_desciption" />
                                <InputError class="mt-2 text-danger" :message="form.errors.category_desciption" />
                            </div>
                        </div>
                        <div class="row mt-3">
                            <div class="col-sm-2">
                                <button class="btn btn-success w-100" type="submit">
                                    ADD
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>

    </AuthenticatedLayout>
</template>
